org.codehaus.plexus.component.configurator.converters.basic

## Interface Converter

    public interface Converter

Translates the String representation of a class into an instance of the class and vice versa

### Method Summary

Methods
`boolean` `canConvert(java.lang.Class type)`
`java.lang.Object` `fromString(java.lang.String str)` Parses a given String and return
`java.lang.String` `toString(java.lang.Object obj)`

### Method Detail

#### canConvert

    boolean canConvert(java.lang.Class type)

#### fromString

    java.lang.Object fromString(java.lang.String str)

Parses a given String and return

Parameters:
  `str` - String representation of the class
Returns:
  an instance of the class

#### toString

    java.lang.String toString(java.lang.Object obj)